'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _Coordinate = require('./Coordinate');

var _Coordinate2 = _interopRequireDefault(_Coordinate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var options = {
  arrivalTimestamp: 0,
  departureTimestamp: 0,
  distanceMeters: 0,
  durationSeconds: 0,
  endAddress: '',
  endLocation: new _Coordinate2.default(),
  startAddress: '',
  startLocation: new _Coordinate2.default(),
  steps: []
};

var Leg = function (_Record) {
  _inherits(Leg, _Record);

  function Leg() {
    _classCallCheck(this, Leg);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(Leg).apply(this, arguments));
  }

  return Leg;
}((0, _immutable.Record)(options));

exports.default = Leg;
;