'use es6';
'use es6';

import {expect} from 'chai';

import GoogleDirectionsService from '../src/services/GoogleDirectionsService';
import Coordinate from '../src/data/Coordinate';
import {TRAVEL_MODE} from '../src/data/TravelMode';

describe('Google directions service', function() {

  it('tests service', function() {
    const origin = new Coordinate({
      latitude: 40.728783,
      longitude: -73.78975029999999,
    });

    const destination = new Coordinate({
      latitude: 40.675579,
      longitude: -73.94821999999999,
    });

    const service = new GoogleDirectionsService();

    return service.fetch(origin, destination, TRAVEL_MODE.TRANSIT)
                  .then(result => console.log(result));
  });
});