'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _TransitStop = require('./TransitStop');

var _TransitStop2 = _interopRequireDefault(_TransitStop);

var _TransitLine = require('./TransitLine');

var _TransitLine2 = _interopRequireDefault(_TransitLine);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var options = {
  arrivalTransitStop: new _TransitStop2.default(),
  arrivalTimestamp: 0,
  departureTransitStop: new _TransitStop2.default(),
  departureTimestamp: 0,
  headsign: '',
  line: new _TransitLine2.default(),
  stopCount: 0
};

var TransitDetails = function (_Record) {
  _inherits(TransitDetails, _Record);

  function TransitDetails() {
    _classCallCheck(this, TransitDetails);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(TransitDetails).apply(this, arguments));
  }

  return TransitDetails;
}((0, _immutable.Record)(options));

exports.default = TransitDetails;
;