'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TRANSIT_VEHICLE = undefined;
exports.translateToTransitVehicle = translateToTransitVehicle;

var _es6Enum = require('es6-enum');

var _es6Enum2 = _interopRequireDefault(_es6Enum);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TRANSIT_VEHICLE = exports.TRANSIT_VEHICLE = (0, _es6Enum2.default)('BUS', 'HEAVY_RAIL', 'RAIL', 'METRO_RAIL', 'SUBWAY', 'TRAM', 'MONORAIL', 'COMMUTER_TRAIN', 'HIGH_SPEED_TRAIN', 'INTERCITY_BUS', 'TROLLEYBUS', 'SHARE_TAXI', 'FERRY', 'CABLE_CAR', 'GONDOLA_LIFT', 'FUNICULAR', 'OTHER');

function translateToTransitVehicle(transitVehicle) {
  var upperCaseTransitVehicle = transitVehicle.toUpperCase();
  if (upperCaseTransitVehicle == 'BUS') {
    return TRANSIT_VEHICLE.BUS;
  }

  if (upperCaseTransitVehicle == 'HEAVY_RAIL') {
    return TRANSIT_VEHICLE.HEAVY_RAIL;
  }

  if (upperCaseTransitVehicle == 'RAIL') {
    return TRANSIT_VEHICLE.RAIL;
  }

  if (upperCaseTransitVehicle == 'METRO_RAIL') {
    return TRANSIT_VEHICLE.METRO_RAIL;
  }

  if (upperCaseTransitVehicle == 'SUBWAY') {
    return TRANSIT_VEHICLE.SUBWAY;
  }

  if (upperCaseTransitVehicle == 'TRAM') {
    return TRANSIT_VEHICLE.TRAM;
  }

  if (upperCaseTransitVehicle == 'MONORAIL') {
    return TRANSIT_VEHICLE.MONORAIL;
  }

  if (upperCaseTransitVehicle == 'COMMUTER_TRAIN') {
    return TRANSIT_VEHICLE.COMMUTER_TRAIN;
  }

  if (upperCaseTransitVehicle == 'HIGH_SPEED_TRAIN') {
    return TRANSIT_VEHICLE.HIGH_SPEED_TRAIN;
  }

  if (upperCaseTransitVehicle == 'INTERCITY_BUS') {
    return TRANSIT_VEHICLE.INTERCITY_BUS;
  }

  if (upperCaseTransitVehicle == 'TROLLEYBUS') {
    return TRANSIT_VEHICLE.TROLLEYBUS;
  }

  if (upperCaseTransitVehicle == 'SHARE_TAXI') {
    return TRANSIT_VEHICLE.SHARE_TAXI;
  }

  if (upperCaseTransitVehicle == 'FERRY') {
    return TRANSIT_VEHICLE.FERRY;
  }

  if (upperCaseTransitVehicle == 'CABLE_CAR') {
    return TRANSIT_VEHICLE.CABLE_CAR;
  }

  if (upperCaseTransitVehicle == 'GONDOLA_LIFT') {
    return TRANSIT_VEHICLE.BUS;
  }

  if (upperCaseTransitVehicle == 'FUNICULAR') {
    return TRANSIT_VEHICLE.BUS;
  }

  if (upperCaseTransitVehicle == 'OTHER') {
    return TRANSIT_VEHICLE.OTHER;
  }

  throw Error('unknown transit vehicle');
}