'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _GoogleDirectionsService = require('./services/GoogleDirectionsService');

var _GoogleDirectionsService2 = _interopRequireDefault(_GoogleDirectionsService);

var _Coordinate = require('./data/Coordinate');

var _Coordinate2 = _interopRequireDefault(_Coordinate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var DirectionsClient = function () {
  function DirectionsClient() {
    _classCallCheck(this, DirectionsClient);

    this.service = new _GoogleDirectionsService2.default();
  }

  _createClass(DirectionsClient, [{
    key: 'fetch',
    value: function fetch(originLatitude, originLongitude, destinationLatitude, destinationLongitdue, travelMode) {
      var originCoordinate = new _Coordinate2.default({
        latitide: originLatitude,
        longitude: originLongitude
      });

      var destinationCoordinate = new _Coordinate2.default({
        latitude: destinationLatitude,
        longitude: destinationLongitdue
      });
      return this.service.fetch(originCoordinate, destinationCoordinate, travelMode);
    }
  }]);

  return DirectionsClient;
}();

exports.default = DirectionsClient;